Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Tracking
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
      GET
    • Additional entity search
      GET
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
      PUT
    • Remove additional entities from a tracked vessel
      DELETE
    • Add additional entities to a tracked vessel
      PUT
    • List the additional entities on a transaction
      GET
    • Update voyage and tracking details
      PUT
    • Get vessel positional data
      GET
    • Retrieve a list of vessel or bill of lading notifications
      GET
    • Get the PurpleTRAC Trade Report PDF
      GET
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
    • Get all BL Screening Results
    • Get a single BL screening result
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
    • Enable tracking for a screened Bill of Lading
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
    • Disable tracking for a Bill of Lading
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Tracking

Get vessel positional data

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
GET
https://api.polestar-production.com
/purpletrac/v1/position
Retrieves the vessel's positional data from when the vessel started tracking.
Refer to Tracking a Vessel to see how this endpoint is used in the vessel tracking workflow.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Query Params

Responses

🟢200OK
application/json
Positions reported since tracking started, newest first.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.polestar-production.com/purpletrac/v1/position?username=undefined&limit=undefined&offset=undefined&id=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Default
{
    "meta": {
        "limit": 20,
        "next": null,
        "offset": 0,
        "previous": null,
        "total_count": 4
    },
    "objects": [
        {
            "creation_date": "2023-12-07 11:59:16.054895+00:00",
            "destination": "EG PSD",
            "destination_eta": "2023-12-07 17:00:00+00:00",
            "heading": 114,
            "info": [],
            "latitude": 32.137417,
            "longitude": 30.847609,
            "outlier": false,
            "position_type": "AIS",
            "resource_uri": "",
            "speed": 12.8,
            "status": null,
            "status_timestamp": "2023-12-07 11:57:21+00:00",
            "timestamp": "2023-12-07 11:57:21+00:00",
            "transaction": "/api/v1/transaction/2854829"
        },
        {
            "creation_date": "2023-12-07 11:59:14.441966+00:00",
            "destination": "EG PSD",
            "destination_eta": "2023-12-07 17:00:00+00:00",
            "heading": 115,
            "info": [],
            "latitude": 32.163326,
            "longitude": 30.783585,
            "outlier": false,
            "position_type": "AIS",
            "resource_uri": "",
            "speed": 12.8,
            "status": null,
            "status_timestamp": "2023-12-07 11:57:21+00:00",
            "timestamp": "2023-12-07 11:40:32+00:00",
            "transaction": "/api/v1/transaction/2854829"
        },
        {
            "creation_date": "2023-12-07 10:38:05.183160+00:00",
            "destination": "EG PSD",
            "destination_eta": "2023-12-07 17:00:00+00:00",
            "heading": 112,
            "info": [],
            "latitude": 32.26791,
            "longitude": 30.494967,
            "outlier": false,
            "position_type": "AIS",
            "resource_uri": "",
            "speed": 12.4,
            "status": null,
            "status_timestamp": "2023-12-07 10:23:53+00:00",
            "timestamp": "2023-12-07 10:23:53+00:00",
            "transaction": "/api/v1/transaction/2854829"
        },
        {
            "creation_date": "2023-12-06 16:04:00.311525+00:00",
            "destination": "EG PSD",
            "destination_eta": "2023-12-07 17:00:00+00:00",
            "heading": 106,
            "info": [],
            "latitude": 33.791149,
            "longitude": 25.810593,
            "outlier": false,
            "position_type": "AIS",
            "resource_uri": "",
            "speed": 12,
            "status": null,
            "status_timestamp": "2023-12-06 13:52:58+00:00",
            "timestamp": "2023-12-06 13:52:58+00:00",
            "transaction": "/api/v1/transaction/2854829"
        }
    ]
}
Modified at 2026-09-18 08:35:54
Previous
Update voyage and tracking details
Next
Retrieve a list of vessel or bill of lading notifications
Built with